Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416505 - slow wifi after upgrade to F25 - BCM43225, bcma [NEEDINFO]
Summary: slow wifi after upgrade to F25 - BCM43225, bcma
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 16:21 UTC by spamy
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:16:35 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)

Description spamy 2017-01-25 16:21:31 UTC
Description of problem:
since upgrading to F25 yesterday, the wifi speed dropped by an order of magnitude, other devices on the same network still work fine, wired connection works fine

the wifi device is a broadcom BCM43225 using the bcma driver

booting with an older kernel does not solve the problem.

lspci output
09:00.0 Network controller: Broadcom Limited BCM43225 802.11b/g/n (rev 01)
        Subsystem: Foxconn International, Inc. T77H103.00 Wireless Half-size Mini PCIe Card
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at f0500000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
        Kernel driver in use: bcma-pci-bridge
        Kernel modules: bcma

Version-Release number of selected component (if applicable):
kernel 4.9.5-200.fc25.x86_64

How reproducible:
upgrade from F24 to F25

Steps to Reproduce:
1.
2.
3.

Actual results:
Wifi speeds lower than 1Mbps

Expected results:
Wifi speed > 20Mbps, other devices on the network work fine, wired connection works fine

Additional info:
i've selected the kernel component, since i assume it is a driver problem, although changing to an older kernel does not fix the problem

Comment 1 Justin M. Forbes 2017-04-11 14:55:33 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2017-04-28 17:16:35 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.